#pragma once

#include <LWE/LWE.h>
#include <LWE/Json/Json.h>

#include <LWE/LWE.h>
#include <LWE/Level.h>

class TestLevel : public lwe::Level
{
private:
	lwe::UInt_32 count;
	float cooldown;

public:
	TestLevel();

	explicit TestLevel(const lwe::Str_8& id);

	TestLevel(const TestLevel& level);

	TestLevel& operator=(const TestLevel& level);

	void SetupResources() override;

	void Setup() override;

	void PostInitialize(lwe::GpuCmdBuffer* cmdBuffer) override;

	void OnUpdate(lwe::Input* input, const float delta) override;
};