#pragma once

#include <LWE/LWE.h>

#include <LWE/LWE.h>
#include <LWE/Level.h>

class MainMenu : public lwe::Level
{
public:
	MainMenu() = default;

	explicit MainMenu(const lwe::Str_8& id);

	MainMenu(const MainMenu& level) = default;

	MainMenu& operator=(const MainMenu& level) = default;

	void SetupResources() override;

	void Setup() override;

	void PostInitialize(lwe::GpuCmdBuffer* cmdBuffer) override;

	void OnUpdate(lwe::Input* input, const float delta) override;
};